Skip to main content
GET
List Unattributed Inference Traffic Events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

auth_rejection_reason
enum<string>

Keeps only rejections with this reason. Unset keeps all.

Available options:
TB_AUTH_REJECTION_REASON_UNSPECIFIED,
TB_AUTH_REJECTION_REASON_MISSING_CREDENTIAL,
TB_AUTH_REJECTION_REASON_INVALID_TOKEN,
TB_AUTH_REJECTION_REASON_EXPIRED_TOKEN,
TB_AUTH_REJECTION_REASON_UNKNOWN_TENANT,
TB_AUTH_REJECTION_REASON_AUDIENCE_MISMATCH,
TB_AUTH_REJECTION_REASON_INSUFFICIENT_SCOPE,
TB_AUTH_REJECTION_REASON_INVALID_PROOF,
TB_AUTH_REJECTION_REASON_CREDENTIAL_UNAVAILABLE
page_size
integer<int32>

The pageSize field.

page_token
string

The pageToken field.

since
string<int64>

The since field.

until
string<int64>

The until field.

Response

200 - application/json

Successful response

The EdgeServiceListUnattributedInferenceTrafficEventsResponse message.

events
Tb Traffic Event · object[] | null

The events field.

nextPageToken
string

The nextPageToken field.